Bug 19722 - Stop rp3 doing the PPP "usepeerdns"
Stop rp3 doing the PPP "usepeerdns"
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-24 16:21 EDT by Simon Oldfield
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Oldfield 2000-10-24 16:21:17 EDT
How do I stop a PPP connection setup using rp3-config and dialed using rp3
from doing the "usepeerdns" stuff?  Despite the fact that my ISP sends me
some DNS settings I DON'T want to use them.
Comment 1 Nalin Dahyabhai 2000-10-25 17:49:18 EDT
In rp3-config, if you select a connection and hit "Edit", and then go to the
"Advanced" tab, there is an option listed as "Configure name resolution
automtically".  Uncheck that box.
Comment 2 Simon Oldfield 2000-11-15 16:20:59 EST
If I use rp3-config to change the "advanced" properties of my dial-up connection
to turn automatic name resolution config OFF then rp3 dies with a segmentation
fault from then on.

If I set up a "standard" dial-up connection, and then edit the
/etc/sysconfig/network-scripts/ifcfg-ppp0 file adding the PEERDNS=no line myself
then rp3 works a treat.

It looks as though rp3-config is adding an incorrect entry into this file or
something?
Comment 3 Bill Nottingham 2006-08-07 15:42:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 13:01:55 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.